#include <cstdlib>
#include <iostream>
#include <cassert> 

using namespace std;

class Trupmena 
{ 
  private: 
    int m_nSkaitiklis; 
    int m_nVardiklis; 

  public:
    Trupmena() // numatytas konstruktorius 
    { 
       m_nSkaitiklis = 0; 
       m_nVardiklis = 1; 
    } 
    Trupmena (int nSkaitiklis, int nVardiklis=1)  // Konstruktorius su parameterais 
    { 
       m_nSkaitiklis = nSkaitiklis; 
       m_nVardiklis = nVardiklis;
       assert(nVardiklis != 0);  
    } 
    int skSkaitiklis(){ return m_nSkaitiklis; } 
    int skVardiklis() { return m_nVardiklis; } 
    double skTrupmena() { return static_cast<double>(m_nSkaitiklis) / m_nVardiklis; } 
};//Klases aprasas uzsibaigia kabliataskiu po skliausteliu 
 
int main(int argc, char *argv[])
{
   Trupmena cNumatyta; // funkcijos kreipinys: Trupmena (0, 1) 
   Trupmena cSesi(6); // funkcijos kreipinys: Trupmena (6, 1) 
   Trupmena cPenkiosTreciosios(5,3); // funkcijos kreipinys: Trupmena (5,3)
   cout <<cNumatyta.skVardiklis()<<'\t' << cSesi.skSkaitiklis()<<'\t' <<cPenkiosTreciosios.skTrupmena() << endl;
   system("PAUSE");
   return EXIT_SUCCESS;
}
