/* Zaidimas Korikas (Hangman) - zodziu speliojimas
parase Visual C++ terpei Michael Hall - 49 pamoka - http://xoax.net tinklapyje
Dev C++ terpei pritaike Amanda Mulioliene
A.P.P.L.E. Vasara 2011, Klaipeda
Zodziu rinkmenos zodziai - daugiausiai 6 raidziu, be lietuvisku rasmenu*/

#include <cstdlib>
#include <iostream>
#include <fstream>
#include <string>
#include <ctime>
#include <stdlib.h>
#include <windows.h>

using namespace std;
void SkaitykRinkmena(int kiek, string zodis[]);
void IsveskZmogu0();
void IsveskZmogu1();
void IsveskZmogu2();
void IsveskZmogu3();
void IsveskZmogu4();
void IsveskZmogu5();
void IsveskZmogu6();

int main(int argc, char *argv[])
{
    unsigned int i, iKiekZodziu=12;
    string smZodis[iKiekZodziu]; // masyvas naudotiniems zodziams talpinti
    SkaitykRinkmena(iKiekZodziu, smZodis); //perskaityti zodzius i masyva
    srand(time(NULL)); // nustato atsitiktino skaiciaus geresni atsitiktinuma
    
    //rodykliu masyvas nurodantis i funkcijas, kurios isves paveiksleli
    void (*pIsveskZmogu[])() = {IsveskZmogu0, IsveskZmogu1, IsveskZmogu2,
		IsveskZmogu3, IsveskZmogu4, IsveskZmogu5, IsveskZmogu6};
	bool bDarZaisti = true;	// patikrina, ar nori dar karta zaisti
	// pagrindinis ciklas kuri sustabdo, kai bDarZaisti = false
    do {
        int iKuris =  rand( ) % 12; // parenka zodzio indeksa
        string &sNaudojamas = smZodis[iKuris]; //nukopijuoja atitinkamo zodzio adresa i sNaudojamas
        const unsigned int iZodzioIlgis = sNaudojamas.length();//nustato, kaip ilgas parinktas zodis
        bool *pAtspejo = new bool[iZodzioIlgis]; //paruosia rodykle i masyva, kuriame bus talpinami spejimu tikslumai  
        
        // spejimu tikslumo masyva pripildo su false
        for (int i=0; i <iZodzioIlgis; i++) {
            pAtspejo[i] = false;}
        //nustatydamos kontroles kintamuju pradines reiksmes    
        unsigned int iNeAtspejo=0;
        bool bGerasZodis=false;
        bool bUzbaigta = false; 
        bool bGeraRaide = false;
        // pagrindinis zaidimo ciklas
        do {
            system("CLS"); // nuvalo ekrana
            pIsveskZmogu[iNeAtspejo](); // priklausomai nuo neteisingu speliojimu skaiciaus, isveda zmogeli
            // pralaimejimo pranesimas
            if (iNeAtspejo >=6) { // kadangi ilgiausias zodis yra 6 raidziu, galima tik 6 speliojimus
               cout << "Pralaimejote!" << endl;
               cout << "Atsakymas yra: " << sNaudojamas <<endl;
               bUzbaigta = true;}
            // laimejimo pranesimas
            else if (bGerasZodis) {
                cout << sNaudojamas << endl;
                cout << "Sveikinam! Jus laimejote" << endl;
                bUzbaigta = true;}
                // jeigu dar gali spelioti
                else { // patikrina ar raide yra zodyje, iveda raide jeigu taip, zvaigzdute, jeigu ne
                    for (int i=0; i<iZodzioIlgis; i++) {
                        if (pAtspejo[i]) {
                            cout << sNaudojamas[i];}
                        else {
                            cout <<'*'; }
                     } // for ciklas baigtas
                    cout << endl;
                    // zaidejas iveda raide    
                    char cSpeju = 0;
                    cout << "Kokia raide?";
                    cin >> cSpeju;
                // patikrina, ar raide gera
                    bGeraRaide = false;
                    for (int i = 0; i<iZodzioIlgis; i++) {
                        if (!pAtspejo[i] && (sNaudojamas[i] == cSpeju)) {
                          pAtspejo[i]=true;
                          bGeraRaide = true;}
                        } //uzbaigtas for
                    } //uzbaigia vidini else 
                // jeigu nera tos raides, pridek viena prie neatspejimu skaiciaus 
            if (!bGeraRaide) {
                  ++iNeAtspejo;}       
                // patikrinti, ar visos raides atspetos
            bGerasZodis = true;
            for (int i = 0; i <iZodzioIlgis; i++) {
                if (!pAtspejo[i]) {
                   bGerasZodis = false;}
                   } // uzbaigia For 
        } while (!bUzbaigta);//uzbaigia vidini Do..   
      // isvalo laikina spejimu rodykliu masyva  
        delete[] pAtspejo;
        for (int i = 0; i <iZodzioIlgis; i++) {
             pAtspejo[i] = 0;}
          
      // Dar zaustu?
      cout << "Ar norite kito zodzio?(t/n)";
      char cVelZaisti= ' ';
      cin >> cVelZaisti;
      if (cVelZaisti == 'n') {
           bDarZaisti = false;}
      } while (bDarZaisti);  
            
    system("PAUSE");
    return EXIT_SUCCESS;
}
void SkaitykRinkmena(int iKiekzodziu, string smZodis[])   
    {
      string sFailoZodis; int i=0;
      ifstream Skaityk("zodziai.txt");
      if (!Skaityk) {cerr << "neatsidare byla" << endl; exit(1);}
      while (i<12) {      
         Skaityk >> sFailoZodis;

         smZodis[i] = sFailoZodis ; i++;}
      Skaityk.close();
    } 

void IsveskZmogu0() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
}

void IsveskZmogu1() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|     o" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
}

void IsveskZmogu2() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|     o" << endl;
	cout << "|    /" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
}

void IsveskZmogu3() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|     o" << endl;
	cout << "|    /X" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
}

void IsveskZmogu4() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|     o" << endl;
	cout << "|    /X\\" << endl;
	cout << "|" << endl;
	cout << "|" << endl;
}

void IsveskZmogu5() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|     o" << endl;
	cout << "|    /X\\" << endl;
	cout << "|    /" << endl;
	cout << "|" << endl;
}

void IsveskZmogu6() {
	using namespace std;
	cout << "_______" << endl;
	cout << "|     |" << endl;
	cout << "|     o" << endl;
	cout << "|    /X\\" << endl;
	cout << "|    / \\" << endl;
	cout << "|" << endl;
}

