#ifndef BRICK_H_
#define BRICK_H_
#include "shape.h"

class Brick
{
public:

	Brick() {}

	void setThickness(double Tck);

	void setDimensions(double l, double w, double t);

	void setColor(char* clr);

	void setTexture(char* txr);

	char* getColor() const;

	char* getTexture() const;

	double Volume() const;

	void Display();

private:

	FRectangle shape;

	char* Color;

	char* Texture;

	double Thickness;

};

#endif // BRICK_H_